Get Thread
curl --request GET \
--url https://ds.cominty.com/chat/{thread_id} \
--header 'x-cominty-token: <api-key>'import requests
url = "https://ds.cominty.com/chat/{thread_id}"
headers = {"x-cominty-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-cominty-token': '<api-key>'}};
fetch('https://ds.cominty.com/chat/{thread_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"live": true,
"agent": {
"id": "<string>",
"name": "<string>"
},
"starred": true,
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"thread_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"role": "<string>",
"content": "<string>",
"questions": [
{
"prompt": "<string>",
"options": [
"<string>"
]
}
],
"live": true,
"status": "<string>",
"events": [
{}
],
"structured_output": {},
"files": [
{
"id": "<string>",
"name": "<string>",
"size": 123,
"mimetype": "<string>",
"url": "<string>"
}
]
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}API Reference
Get Thread
GET
/
chat
/
{thread_id}
Get Thread
Authorizations
Your Cominty API token.
Path Parameters
⌘I